Google Voice是谷歌推出的一款虚拟美国手机号码,通过Google Voice可以方便的完成很多本来很折腾的事情。但是Google Voice要求每隔一段时间就需要使用一次,不然将会被取消号码。往常都是通过手动收发短信来避免被取消,现在通过KeepMyGoogleVoice可以实现配置后,每月自动发短信给CloudFlare查询网站的IP来实现保活。

github地址:https://github.com/uselibrary/KeepMyGoogleVoice

一键脚本及配置:

wget --no-check-certificate -O gv.sh https://raw.githubusercontent.com/uselibrary/KeepMyGoogleVoice/master/gv.sh && chmod +x gv.sh && bash gv.sh

完成安装后,手动将你的账号和密码输入到/root/gv.py中,具体位置如如下:

voice.login(email='xxxxx@gmail.com', passwd='xxxxx')

不建议CentOS 7,可能存在兼容性问题。同时,如果任意方法都无法登录Google Voice,尤其是当出现类似googlevoice.util.LoginError的错误提示,建议前往 https://accounts.google.com/DisplayUnlockCaptcha 检查是否开启了安全验证,而导致的账号被风控。

操作与说明

KeepMyGoogleVoice是使用Python脚本自动发送短信给cloudflare来实现保活Google Voice。默认情况下,将发送一条短信到8336721001查询baidu.com的IP。如果你想修改,可以在执行完一键脚本后,更改/root/gv.py中的phoneNumbertext内容。

支持的系统版本:Debain 9/Ubuntu 16.04+/CentOS 7(不建议CentOS 7,可能存在兼容性问题。另外,部分账号存在被Google风控的现象,可以前往https://accounts.google.com/DisplayUnlockCaptcha检查。)

执行此脚本后,对于CentOS 7将自动安装python3.6和pip3;对于Debain 9/Ubuntu 18.04+将自动安装python3和python3-pip。

一键脚本如下,安装过程中需要输入google账号和密码。

wget --no-check-certificate -O gv.sh https://raw.githubusercontent.com/uselibrary/KeepMyGoogleVoice/master/gv.sh && chmod +x gv.sh && bash gv.sh

完成安装后,手动将你的账号和密码输入到/root/gv.py中,具体位置如如下:

voice.login(email='xxxxx@gmail.com', passwd='xxxxx')

仅当一键脚本无法正常使用是才参考此项

如果上述一脚脚本无法执行,可以手动安装。执行以下命令,手动输入Google账号和密码,并通过crontab将其设置为每月执行一次。

wget --no-check-certificate -O gv.py https://raw.githubusercontent.com/uselibrary/KeepMyGoogleVoice/master/gv.py && chmod +x gv.py

并且,对于CentOS 7 执行以下命令

  yum -y install epel-release
  yum -y install python36
  yum -y install python36-setuptools
  easy_install-3.6 pip
  pip3 install googlevoice

对于Debian 9/Ubuntu 16.04+ 执行以下命令

  apt install python3
  apt install python3-pip
  pip3 install googlevoice

标签: 教程, google voice

已有 7 条评论

  1. Traceback (most recent call last):
    File "gv.py", line 12, in
    __name__ == '__main__' and run()
    File "gv.py", line 6, in run
    voice.login(email='xxx@gmail.com', passwd='xxx')
    File "/usr/lib/python2.7/site-packages/googlevoice/voice.py", line 101, in lon
    raise util.LoginError
    googlevoice.util.LoginError

    提示登录错误

    1. 不建议CentOS7,可能存在兼容性问题

    2. 建议前往https://accounts.google.com/DisplayUnlockCaptcha检查Google账号是否被风控了。

    3. OnePve OnePve

      centos7~debian8
      均提示楼上那个登陆错误

      1. 你这个应该是Google账号被风控了,前往https://accounts.google.com/DisplayUnlockCaptcha检查。

        1. OnePve OnePve

          已授予帐号访问权限
          请尝试在您的新设备上或在新应用中重新登录您的 Google 帐号。

          python3 gv.py

          依然是1楼的 错误

          1. 换个debian 9系统试一下

添加新评论